Show / Hide Table of Contents

# Struct InfoProxyCrossRealm

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Info

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct InfoProxyCrossRealm

### Fields

| Improve this Doc View Source

#### CrossRealmGroupArray

##### Declaration

    public byte *CrossRealmGroupArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GroupCount

##### Declaration

    public byte GroupCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsCrossRealm

##### Declaration

    public byte IsCrossRealm

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsInAllianceRaid

##### Declaration

    public byte IsInAllianceRaid

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsInCrossRealmParty

##### Declaration

    public byte IsInCrossRealmParty

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsPartyLeader

##### Declaration

    public byte IsPartyLeader

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LocalPlayerGroupIndex

##### Declaration

    public byte LocalPlayerGroupIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UiModule

##### Declaration

    public UIModule*UiModule

##### Field Value

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### Vtbl

##### Declaration

    public void **Vtbl

##### Field Value

Type | Description
--- | ---
System.Void** |

### Properties

| Improve this Doc View Source

#### CrossRealmGroupSpan

##### Declaration

    public readonly ReadOnlySpan<CrossRealmGroup> CrossRealmGroupSpan { get; }

##### Property Value

Type | Description
--- | ---
ReadOnlySpan<CrossRealmGroup> |

### Methods

| Improve this Doc View Source

#### GetGroupIndex(Byte)

##### Declaration

    public static byte GetGroupIndex(byte group)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | group |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetGroupMember(UInt32, Int32)

##### Declaration

    public static CrossRealmMember*GetGroupMember(uint memberIndex, int groupIndex = -1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | memberIndex |
System.Int32 | groupIndex |

##### Returns

Type | Description
--- | ---
CrossRealmMember* |

| Improve this Doc View Source

#### GetGroupMemberCount(Int32)

##### Declaration

    public static byte GetGroupMemberCount(int groupIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | groupIndex |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetMemberByContentId(UInt64)

##### Declaration

    public static CrossRealmMember*GetMemberByContentId(ulong contentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | contentId |

##### Returns

Type | Description
--- | ---
CrossRealmMember* |

| Improve this Doc View Source

#### GetMemberByObjectId(UInt32)

##### Declaration

    public static CrossRealmMember*GetMemberByObjectId(uint objectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectId |

##### Returns

Type | Description
--- | ---
CrossRealmMember* |

| Improve this Doc View Source

#### GetPartyMemberCount()

##### Declaration

    public static byte GetPartyMemberCount()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static InfoProxyCrossRealm*Instance()

##### Returns

Type | Description
--- | ---
InfoProxyCrossRealm* |

| Improve this Doc View Source

#### IsAllianceRaid()

##### Declaration

    public static bool IsAllianceRaid()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsContentIdInParty(UInt64)

##### Declaration

    public static bool IsContentIdInParty(ulong contentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | contentId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsCrossRealmParty()

##### Declaration

    public static bool IsCrossRealmParty()

##### Returns

Type | Description
--- | ---
System.Boolean |